## org.apache.commons.math3.ode
Class JacobianMatrices.JacobiansSecondaryEquations

    java.lang.Object
      org.apache.commons.math3.ode.JacobianMatrices.JacobiansSecondaryEquations

All Implemented Interfaces:
  SecondaryEquations

Enclosing class:
  JacobianMatrices

    private class JacobianMatrices.JacobiansSecondaryEquations

extends java.lang.Object
implements SecondaryEquations

Local implementation of secondary equations.

This class is an inner class to ensure proper scheduling of calls by forcing the use of `JacobianMatrices.registerVariationalEquations(ExpandableStatefulODE)`.

Constructor Summary
`private` `JacobianMatrices.JacobiansSecondaryEquations()`

Method Summary
`void` `computeDerivatives(double t, double[] y, double[] yDot, double[] z, double[] zDot)` Compute the derivatives related to the secondary state parameters.
`int` `getDimension()` Get the dimension of the secondary state parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JacobianMatrices.JacobiansSecondaryEquations

    private JacobianMatrices.JacobiansSecondaryEquations()

Method Detail

### getDimension

    public int getDimension()

  Get the dimension of the secondary state parameters.

  Specified by:
    `getDimension` in interface `SecondaryEquations`
  Returns:
    dimension of the secondary state parameters

### computeDerivatives

    public void computeDerivatives(double t,
                                   double[] y,
                                   double[] yDot,
                                   double[] z,
                                   double[] zDot)
                            throws MaxCountExceededException,
                                   DimensionMismatchException

  Compute the derivatives related to the secondary state parameters.

  Specified by:
    `computeDerivatives` in interface `SecondaryEquations`
  Parameters:
    `t` - current value of the independent time variable
    `y` - array containing the current value of the primary state vector
    `yDot` - array containing the derivative of the primary state vector
    `z` - array containing the current value of the secondary state vector
    `zDot` - placeholder array where to put the derivative of the secondary state vector
  Throws:
    `MaxCountExceededException` - if the number of functions evaluations is exceeded
    `DimensionMismatchException` - if arrays dimensions do not match equations settings

Copyright (c) 2003-2013 Apache Software Foundation